
.wrapOneCard{
    display: block;
    position: relative;
    overflow: hidden;
    &:hover {
        cursor: pointer;
        .wrapOneCard-bg{
            @include md {
                width: 105%;
            }
        }
    }
    .container{
        position: relative;
        z-index: 2;
        min-height: 740px;
        @include sm {
            min-height: 768px;
        }
        @include md {
            min-height: 620px;
        }
        @include lg {
            min-height: 740px;
        }
        @include xl {
            min-height: 980px;
        }
        
    }
    .h2, .p1{
        color: $white;
    }
    .wrapCardText{
        padding-top: 12px;
        @include lg {
            padding-bottom: 40px;
            max-width: 450px;
        }
        @include xl {
            padding-top: 28px;
            max-width: 640px;
        }
    }
    &.lightGreen{
        background: #09BC63;
        .wrapCardTitle{
            max-width: 520px;
            @include md {
                max-width: 360px;
            }
            @include lg {
                max-width: 500px;
            }
            @include xl {
                max-width: 550px;
            }
        }
        .wrapCardText{
            max-width: 480px;
            @include md {
                padding-top: 18px;
                max-width: 400px;
            }
            @include lg {
                max-width: 480px;
            }
            @include xl {
                max-width: 640px;
            }
        }
        .hashtag{
            color: #8AEF93;
        }
    }
    &.lightPurpure{
        background: #5B5BAE;
        .wrapCardTitle{
            max-width: 500px;
            @include lg {
                max-width: 620px;
            }
            @include xl {
                max-width: 960px;
            }
        }
        .hashtag{
            color: #A8A6D5;
        }
    }
    &.darkPurpure{
        background: #222035;
        .wrapCardTitle{
            @include md {
                max-width: 960px;
            }
        }
        .wrapCardText{
            max-width: 180px;
            @include sm {
                max-width: 230px;
            }
            @include lg {
                max-width: 100%;
            }
        }
        .hashtag{
            color: #625D91;
        }
    }
    &.yellow{
        background: #FFF22C;
        .h2, .p1{
            color: $black;
        }
        .wrapCardText{
            max-width: 180px;
            @include sm {
                max-width: 330px;
            }
            @include lg {
                max-width: 400px;
            }
            @include xl {
                max-width: 450px;
            }
        }
        .hashtag{
            color: #ABA214;
        }
    }
    &-bg{
        position: absolute;
        right: 0;
        bottom: 0;
        width: 100%;
        height: auto;
        transition: $transition;
        @include md {
            left: 0;
            object-fit: cover;
        }
    }
}